Package ch.qos.logback.classic.spi

# Class LoggerComparator

java.lang.Object
ch.qos.logback.classic.spi.LoggerComparator

All Implemented Interfaces:
  `Comparator<Logger>`

public class LoggerComparator extends Object implements Comparator<Logger>

## Constructor Summary

Constructors
Constructor
Description
`LoggerComparator()`

## Method Summary

Modifier and Type
Method
Description
`int`
`compare(Logger l1, Logger l2)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

## Constructor Details

### LoggerComparator

public LoggerComparator()

## Method Details

### compare

public int compare(Logger l1, Logger l2)

Specified by:
  `compare` in interface `Comparator<Logger>`